LibreOffice LibreOffice 26.2 SDK API Reference

Classes | Enumerations
com::sun::star::xml::xpath Module Reference

XPath interfaces. More...

## Classes
struct | Libxml2ExtensionHandle
service | XPathAPI
exception | XPathException
| Exception that may occur when evaluating an XPath expression. More...
service | XPathExtension
interface | XXPathAPI
interface | XXPathExtension
interface | XXPathObject

## Enumerations
enum | XPathObjectType { XPATH_UNDEFINED , XPATH_NODESET , XPATH_BOOLEAN , XPATH_NUMBER , XPATH_STRING , XPATH_POINT , XPATH_RANGE , XPATH_LOCATIONSET , XPATH_USERS , XPATH_XSLT_TREE }

## Detailed Description

XPath interfaces.

## Enumeration Type Documentation

## ◆ XPathObjectType

enum XPathObjectType

Enumerator
XPATH_UNDEFINED |
XPATH_NODESET |
XPATH_BOOLEAN |
XPATH_NUMBER |
XPATH_STRING |
XPATH_POINT |
XPATH_RANGE |
XPATH_LOCATIONSET |
XPATH_USERS |
XPATH_XSLT_TREE |